# http://fedoraproject.org/wiki/Packaging:ScriptletSnippets
# runs before old package is removed
#         install upgrade  uninstall
# %preun  (N/A)   $1 == 1 $1 == 0

{% include 'header.bash' %}

# start
execute pushd .
execute cd %{prefix}

# detect upgrade, we need to run this script only on uninstall
if test -n "$1" -a "$1" != "0"; then
    exit 0
fi

execute chmod +x ./infinidat_clean_odm
execute ./infinidat_clean_odm

# end
execute popd
exit 0