from infi import unittest

import os
from infi.run_as_root import BYPASS_KEY

class MockRoot(unittest.TestCase):
    def setUp(self):
        super(MockRoot, self).setUp()
        self._environ = os.environ
        os.environ = self._environ.copy()
        os.environ[BYPASS_KEY] = 1

    def tearDown(self):
        os.environ = self._environ
        super(MockRoot, self).tearDown()
