from mako.lookup import TemplateLookup
from time import time
from .. import TEMPLATES_PATH

def error_page(status, message, traceback, version):
    template_lookup = TemplateLookup(directories=[TEMPLATES_PATH])
    return template_lookup.get_template('error.mako').render(status=str(status),
                                                             message=str(message),
                                                             traceback=str(traceback),
                                                             timestamp=time())
