create_fs_modal = {

    target: null,

    popup_with_params : function(json) {
        $("#create-fs-modal #vol-name").text(create_fs_modal.target.closest('.actions').data("name"));
        filesystem_index = json.return_value.filesystems.indexOf(json.return_value.selected_filesystem);
        create_vol_modal.setOptions(jQuery("#create-fs-modal-type"), json.return_value.filesystems, filesystem_index);
        $("#create-fs-modal").dialog({
            modal: true,
            width: 540,
            height: 300,
            resizable: false,
            buttons: [
                {
                    text: "OK",
                    click: function(event) {
                        $(this).dialog("close");
                        var filesystem_type = $("#create-fs-modal-type").val();
                        create_fs_modal.create_fs(create_fs_modal.target, filesystem_type);
                    }
                },
                {
                    text: "CANCEL",
                    click: function() {
                        $(this).dialog("close");
                    }
                }
            ]
        });
    },

    popup: function(event) {
        readiness.with_provisioning_enabled(function() {
            create_fs_modal.target = $(event.target);
            var serial = create_fs_modal.target.closest('.infinibox.root').data('serial');
            auth.spin_call_with_credentials(serial,
                function() {
                    var data = {serial: serial};
                    var ajaxSource = sources.operations.provision_params;
                    var ajaxOptions = {type: "POST", dataType: "json", data: data,
                                       cache: false, url: ajaxSource};
                    var selInfinibox = create_fs_modal.target.parents('.infinibox.root');
                    view.spinAjax(ajaxOptions, create_fs_modal.popup_with_params);
                }
            );
        });
    },

    create_fs: function(target, filesystem_type) {
        var data = {serial: target.data("serial"), filesystem_type: filesystem_type};
        operations.perform_operation(target, sources.operations.create_fs, data);
    }

}
