<!DOCTYPE html>
<html>
<head>
    <title>${status}</title>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" >
    <meta http-equiv="Cache-control" content="no-cache no-store">
    <meta http-equiv="Expires" content="-1">

    <!-- plugin -->
    <link type="text/css" href="/static/css/reset.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/view.css?_=${timestamp}" rel="stylesheet" />
    <script type="text/javascript" src="/static/js/external/jquery.js?_=${timestamp}"></script>

    <style>
        #traceback {
            display: none;
            text-align: left;
            font: normal 12px/18px monospace;
            width: 800px;
            margin: 20px auto;
            background: #ddd;
            white-space: pre-wrap;
            padding: 10px;
        }
    </style>
</head>
<body>
    <div class="header">
        <span class="right">
            <img class="slogan" src="/static/images/header-slogan.png" />
        </span>
        <span class="left">
        </span>
    </div>
    <div id="inventory">
        <div class="error-page-div">
            <br><br>
            <img src="/static/images/infinidat-logo.png"/><br>
            ${message}<br><br>
            <a href="#" onclick="location.reload(true); return false;">Refresh</a>
            |
            <a href="#" onclick="$('#traceback').slideToggle(); return false;">Show stack trace</a>
            <div id="traceback">Current URL:<div id="url"></div><br>${traceback}</div>
        </div>
    </div>
    <script>
        $('#url').text(window.location.href);
    </script>
</body>
</html>
