<!DOCTYPE html>
<html>
<head>
    <title>${hostname} - INFINIDAT Host PowerTools v${version}</title>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" >
    <meta http-equiv="Cache-control" content="no-cache no-store">
    <meta http-equiv="Expires" content="-1">

    <!-- CSS -->
    <link type="text/css" href="/static/css/smoothness/jquery-ui-1.10.3.custom.min.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/dataTables.colReorder.min.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/dataTables.colVis.min.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/reset.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/view.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/error.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/confirm.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/host.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/actions_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/create_vol_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/map_vol_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/performance_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/resize_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/rename_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/mount_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/create_fs_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/opresult_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/actions_menu.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/about_modal.css?_=${timestamp}" rel="stylesheet" />
    <link type="text/css" href="/static/css/collect_logs.css?_=${timestamp}" rel="stylesheet" />
    % if is_openstack_cinder_installed:
    <link type="text/css" href="/static/css/hide_actions.css?_=${timestamp}" rel="stylesheet" />
    % endif

    <!-- jQuery -->
    <script type="text/javascript" src="/static/js/external/jquery.js?_=${timestamp}"></script>
    <script type="text/javascript" src="/static/js/external/jquery-ui-1.10.3.custom.min.js?_=${timestamp}"></script>

    <!-- Underscore.js -->
    <script type="text/javascript" src="/static/js/external/underscore.js?_=${timestamp}"></script>

    <!-- Spinner -->
    <script type="text/javascript" src="/static/js/external/spin.min.js?_=${timestamp}"></script>
    <script type="text/javascript" src="/static/js/spinner.factory.js?_=${timestamp}"></script>

    <!-- DataTables -->
    <script src="/static/js/external/jquery.dataTables.min.js?_=${timestamp}"></script>
    <script src="/static/js/external/dataTables.colReorder.min.js?_=${timestamp}"></script>
    <script src="/static/js/external/dataTables.colResize.min.js?_=${timestamp}"></script>
    <script src="/static/js/external/dataTables.colVis.min.js?_=${timestamp}"></script>

    <!-- blockUI -->
    <script src="/static/js/external/jquery.blockUI.js?_=${timestamp}"></script>
    <script src="/static/js/jquery.blockUI-custom-settings.js?_=${timestamp}"></script>

    <!--  jGuage -->
    <link rel="stylesheet" href="/static/jgauge-0.3.0-a3-package/css/jgauge.css?_=${timestamp}" type="text/css" /> <!-- CSS for jGauge styling. -->
    <script language="javascript" type="text/javascript" src="/static/jgauge-0.3.0-a3-package/js/jQueryRotate.min.js?_=${timestamp}"></script> <!-- jQueryRotate plugin used for needle movement. -->
    <script language="javascript" type="text/javascript" src="/static/jgauge-0.3.0-a3-package/js/jgauge-0.3.0.a3.js?_=${timestamp}"></script> <!-- jGauge JavaScript. -->

    <!-- formrestrict -->
    <script src="/static/js/external/jquery.formrestrict.js?_=${timestamp}"></script>

    <!-- scrollto -->
    <script src="/static/js/external/jquery.scrollTo.min.js?_=${timestamp}"></script>

    <!-- plugin -->
    <script src="/static/js/auth.js?_=${timestamp}"></script>
    <script src="/static/js/view.js?_=${timestamp}"></script>
    <script src="/static/js/actions_modal.js?_=${timestamp}"></script>
    <script src="/static/js/performance_modal.js?_=${timestamp}"></script>
    <script src="/static/js/resize_modal.js?_=${timestamp}"></script>
    <script src="/static/js/rename_modal.js?_=${timestamp}"></script>
    <script src="/static/js/mount_modal.js?_=${timestamp}"></script>
    <script src="/static/js/create_fs_modal.js?_=${timestamp}"></script>
    <script src="/static/js/actions.js?_=${timestamp}"></script>
    <script src="/static/js/readiness.js?_=${timestamp}"></script>
    <script src="/static/js/infinibox.js?_=${timestamp}"></script>
    <script src="/static/js/registration.js?_=${timestamp}"></script>
    <script src="/static/js/error.js?_=${timestamp}"></script>
    <script src="/static/js/confirm.js?_=${timestamp}"></script>
    <script src="/static/js/actions_menu.js?_=${timestamp}"></script>
    <script src="/static/js/create_vol_modal.js?_=${timestamp}"></script>
    <script src="/static/js/map_vol_modal.js?_=${timestamp}"></script>
    <script src="/static/js/host.js?_=${timestamp}"></script>

    <!-- init -->
    <script type="text/javascript">
         window.is_node_webkit = false;
         var sources = ${sources};
         % if is_openstack_cinder_installed:
         var is_openstack_cinder_installed = true;
         % else:
         var is_openstack_cinder_installed = false;
         % endif
         % if is_veritas:
         var is_veritas = true;
         % else:
         var is_veritas = false;
         % endif
        jQuery(document).ready(host.getCallbackOnLoad(sources));
    </script>
</head>
<body>
    <div class="header">
        <span class="right">
            <img class="separator" src="/static/images/header-separator.png" />
            <img class="slogan" src="/static/images/header-slogan.png" />

            <div class="actions">
                <a class="actions-button">
                    <span class="txt"></span>
                    <span class="ar">&#9660;</span>
                </a>
                <div class="actions-menu">
                    <ul>
                        <li><a class="action-button" onclick="operations.reload(); return false;">Refresh</a></li>
                        <li><a class="action-button" onclick="operations.rescan(); return false;">Rescan</a></li>
                        <li><a class="action-button" onclick="readiness.prepare_host(); return false;">Check Host Readiness</a></li>
                        <li><a class="action-button" onclick="view.collect_logs('/plugin/views/host/collect_logs/?auth_key=${auth_key}');">Collect Logs</a></li>
                        <li><a class="action-button" onclick="operations.metadata_sync(); return false;">Sync Metadata</a></li>
                        <li><a class="action-button" onclick="auth.reset_credentials(); return false;">Reset Credentials</a></li>
                        <li><a class="action-button" onclick="view.showAbout(); return false;">About</a></li>
                    </ul>
                </div>
            </div>

        </span>
        <span class="left">
            <img class="icon" src="/static/images/host-icon-final.png" />
            <span class="moref">${hostname}</span>
            <span class="unready"><span class="unready_msg"></span> <a class="btn btn-blue">PREPARE HOST</a></span>
        </span>
    </div>
    <div id="inventory">

    </div>
    <div id="readiness-container" style="display:none">
        <div id="readiness-container-title">
            <span id="readiness-container-title-text">Host Readiness</span>
        </div>
        <div id="readiness-container-body">
            <div id="readiness-container-body-error-wrapper">
                <img id="readiness-container-body-icon" src="/static/images/err_icon.png"/>
                <span id="readiness-container-body-prefix"></span>
                <span id="readiness-container-body-message">Host is not ready to work with InfiniBox.</span>
            </div>
            <div id="readiness-container-body-description"></div>
        </div>
        <a class="btn btn-blue btn-large" id="readiness-container-close-button">PREPARE HOST</a>
    </div>
<%include file="actions_modal.mako"/>
<%include file="auth_modal.mako"/>
<%include file="create_vol_modal.mako"/>
<%include file="map_vol_modal.mako"/>
<%include file="performance_modal.mako"/>
<%include file="resize_modal.mako"/>
<%include file="rename_modal.mako"/>
<%include file="mount_modal.mako"/>
<%include file="create_fs_modal.mako"/>
<%include file="operation_result_modal.mako"/>
<%include file="collect_logs.mako"/>

<script type="text/html" id="actions_template">
    <div class="actions" data-serial="{{ serial }}" data-device="{{ device_name }}"
        data-name="{{ volume_name }}" data-size="{{ volume_size }}">
        <a class="actions-button">
            <span class="txt">Select...</span>
            <span class="ar">&#9660;</span>
        </a>
        <div class="actions-menu">
            <ul>
                <li><a class="unmap action-button">Unmap</a></li>
                {[ if (!is_veritas && !has_filesystem) { ]}
                    <li><a class="create_fs action-button">Create Filesystem</a></li>
                {[ } else if (!is_veritas && !is_mounted) { ]}
                    <li><a class="mount action-button">Mount</a></li>
                {[ } else if (!is_veritas) { ]}
                    <li><a class="unmount action-button">Unmount</a></li>
                {[ } ]}
                % if is_windows:
                <li><a class="resize action-button">Resize</a></li>
                % endif
                <li><a class="rename action-button">Rename</a></li>
                {[ if (is_multipath) { ]}
                    <li><a class="test-performance action-button">Performance Test</a></li>
                {[ } ]}
            </ul>
        </div>
    </div>
</script>

<script type="text/html" id="about_template">
    <div class="modal" id="about-modal" style="display: none;" title="ABOUT">
        <div class="modal-inner-table">
            <br>
            <img src="/static/images/logo_big.png" width="80" height="80">
            <div id="about-modal-product">INFINIDAT Host PowerTools</div>
            version ${version}
        </div>
    </div>
</script>

</body>
</html>
