from . import packages
from .. import fc_driver_version
from . import fc_driver_attributes
from . import kernel_tunables
from . import kernel_modules
from . import multipath
from .. import devices
from .. import connectivity

def get_categories():
    modules = [packages, fc_driver_version, fc_driver_attributes,
                  kernel_tunables, kernel_modules, multipath, devices, connectivity]
    return [getattr(module, 'get_category')() for module in modules]
