
# pylint: disable-all

def setUp():
    from infi.vendata.smock import HostMock
    mock = HostMock()
    inventory = mock.get_inventory()
    inventory.add_initiator(), inventory.add_initiator()
    for index in range(2):
        system = inventory.add_infinibox(10 + index)
        system.pools.create()
        inventory.zone_with_system__best_practices(system)
        inventory.register_host_in_system(system)
    for index in range(2):
        system = inventory.add_infinibox(10 + index + 2)
        inventory.zone_with_system__best_practices(system)
    return mock
