
# pylint: disable-all


def setUp():
    from infi.vendata.smock import HostMock
    from infi.dtypes.wwn import WWN
    from infinisdk import InfiniBox
    HOST_WWN_ADDRESSES = ["14:00:00:00:c9:ac:c0:60", "14:00:00:00:c9:ac:c0:61", ]

    mock = HostMock()
    inventory = mock.get_inventory()
    [inventory.register_initiator(WWN(wwn)) for wwn in HOST_WWN_ADDRESSES]
    system = InfiniBox(("localhost", 8080))
    inventory.register_infinibox(system)
    inventory.zone_with_system__best_practices(system)
    return mock
